Bug 800285 - yum reinstall returns 0 if opperation did not succeed
yum reinstall returns 0 if opperation did not succeed
Status: CLOSED DUPLICATE of bug 674596
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 03:41 EST by Miroslav Vadkerti
Modified: 2014-01-21 01:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 09:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2012-03-06 03:41:21 EST
Description of problem:
# rpm -q openssl
openssl-1.0.0-20.el6_2.2.x86_64
# yum -y reinstall openssl
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
Setting up Reinstall Process
Installed package openssl-1.0.0-20.el6_2.2.x86_64 not available.
Nothing to do
# echo $?
0

Version-Release number of selected component (if applicable):
yum-3.2.29-23.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. See description
 
Actual results:
yum returns zero value

Expected results:
yum returns non-zero value
Comment 1 Phil Knirsch 2012-03-13 09:58:52 EDT

*** This bug has been marked as a duplicate of bug 674596 ***

Note You need to log in before you can comment on or make changes to this bug.